FROM alpine:3.13.4

LABEL maintainer="Fabio Coelho <fabiocruzcoelho@gmail.com>"

ENV VERSION='v2.0.0'

# Install bundles Requested.
RUN apk --update --no-cache add --virtual \
        ca-certificates \
        git \
        python3 \
        py-pip \
        openssh-client \
        openssl \
        sshpass \
        rsync\
        git \
        curl \
    && apk --update --no-cache add --virtual \
        build-dependencies \
        python3-dev \
        libffi-dev \
        openssl-dev \
        build-base

# Install argocd-cli
RUN curl -sSL -o /usr/local/bin/argocd https://github.com/argoproj/argo-cd/releases/download/$VERSION/argocd-linux-amd64 \
    && chmod +x /usr/local/bin/argocd
